%define name	snmppd
%define version	0.4.5
%define release	1mdk

Summary:	SNMP proxy daemon
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://slava.local.nsys.by/projects/snmppd/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
Requires:	net-snmp-mibs
Requires:	nagios
Requires:	nagios-plugins
PreReq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
snmppd is an SNMP proxy daemon that is designed to work with
Nagios. It loads MIBs upon startup, listens on a TCP socket for
SNMP GET requests, polls the specified host, and returns the value
to caller process. The caller process is usually the Nagios plugin
check_snmpp. 

%prep

%setup -q

bzcat %{SOURCE1} > snmppd.init

%build

%configure2_5x \
    --libdir=%{_libdir}/nagios/plugins \
    --libexecdir=%{_libdir}/nagios/plugins

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_initrddir}
install -m0755 snmppd.init %{buildroot}%{_initrddir}/snmppd

# clean up
rm -rf %{buildroot}%{_includedir}

%post
%_post_service snmppd

%preun 
%_preun_service snmppd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %config(noreplace) %{_initrddir}/snmppd
%{_sbindir}/snmppd
%{_libdir}/nagios/plugins/check_snmpp

%changelog
* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
- fix deps, use macros, misc spec file fixes
- drop P0, it's included

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.1-1mdk
- initial cooker contrib
- added S1 and P0
